# pn_cluster – CLI command to create/delete a cluster

- DEPRECATED
- Synopsis
- Parameters
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.12
Why: | Doesn’t support latest Pluribus Networks netvisor
Alternative: | Latest modules will be pushed in Ansible future versions.

## Synopsis

- Execute cluster-create or cluster-delete command.
- A cluster allows two switches to cooperate in high-availability (HA) deployments. The nodes that form the cluster must be members of the same fabric. Clusters are typically used in conjunction with a virtual link aggregation group (VLAG) that allows links physically connected to two separate switches appear as a single trunk to a third device. The third device can be a switch,server, or any Ethernet device.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_clipassword - |  | Provide login password if user is not root.
pn_cliswitch - | Default: "local" | Target switch to run the cli on.
pn_cliusername - |  | Provide login username if user is not root.
pn_cluster_node1 - |  | Specify the name of the first switch in the cluster. Required for 'cluster-create'.
pn_cluster_node2 - |  | Specify the name of the second switch in the cluster. Required for 'cluster-create'.
pn_name - / required |  | Specify the name of the cluster.

pn_validate
boolean

Choices:
- no
- yes

Validate the inter-switch links and state of switches in the cluster.

state
- / required

Choices:
- present
- absent

Specify action to perform. Use 'present' to create cluster and 'absent' to delete cluster.

## Examples

    - name: create spine cluster
      pn_cluster:
        state: 'present'
        pn_name: 'spine-cluster'
        pn_cluster_node1: 'spine01'
        pn_cluster_node2: 'spine02'
        pn_validate: True
        pn_quiet: True

    - name: delete spine cluster
      pn_cluster:
        state: 'absent'
        pn_name: 'spine-cluster'
        pn_quiet: True

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | Indicates whether the CLI caused changes on the target.
command string | always | The CLI command run on the target node(s).
stderr list | on error | The set of error responses from the cluster command.
stdout list | always | The set of responses from the cluster command.

## Status

- This module will be removed in version 2.12. [deprecated]
- For more information see DEPRECATED.

### Authors

- Pluribus Networks (@amitsi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.